[inherit('sys$library:starlet','lib$spawn','smgdefs','smg$repaint_line',
'BB.PEN')]
module reply_menu;

[global] 
procedure reply_menu;

{Set up to spawn mail job to mail to poster or to internet or post message
 to local board only.}

var
  no_reply :boolean;{if no reply is wanted}
  add_option : char;

begin
  no_reply := false;
  m_menu := false;

  repeat
    find_message;
    if found then
      begin
        write_menu('Destination options:',
                   ' Internet Local Poster | <CR> for previous menu');
        destination_option:=getchar;

        smg$unpaste_virtual_display(error_display,pasteboard);
        if (destination_option in ['I','L','P']) then
          begin
            write_menu('Message type options:',
                       ' Edit File | <CR> for previous menu');
            add_option := getchar;
            case add_option of
              'E' : add_edit;
              'F' : add_file;
            otherwise
            end;
          end
         else
		no_reply := true;
      end;
  until out_of_bounds or (actual_message_count < 1) or no_reply;
end;

end.
